/**
 *
 *  Copyright 2004 Dain Sundstrom
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.tranql.ql;

/**
 * @version $Revision: 162 $ $Date: 2005-01-22 06:47:21 -0500 (Sat, 22 Jan 2005) $
 */
public class Exists extends AbstractNode {
    private final boolean not;

    public Exists(boolean not) {
        this.not = not;
    }

    public boolean isNot() {
        return not;
    }

    public Object visit(QueryVisitor visitor, Object param) throws QueryException {
        return visitor.visit(this, param);
    }
}
