/**
 * 
 */
package org.tranql.sql.prefetch;

import org.tranql.cache.CacheRow;
import org.tranql.field.FieldTransform;
import org.tranql.field.FieldTransformException;
import org.tranql.identity.GlobalIdentity;

class ChildAccessorImpl implements ChildAccessor {
    private final FieldTransform accessor;

    public ChildAccessorImpl(FieldTransform accessor) {
        this.accessor = accessor;
    }

    public void setGlobalIdentity(CacheRow row, GlobalIdentity id) throws FieldTransformException {
        Object value = accessor.get(row);
        if (value == CacheRow.NO_DATA) {
            accessor.set(row, id);
        }
    }
}