/**
 *
 *  Copyright 2004 Jeremy Boynes
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.tranql.sql.jdbc;

import java.sql.PreparedStatement;
import java.sql.SQLException;

import org.tranql.field.Row;
import org.tranql.field.FieldTransformException;
import org.tranql.ql.SchemaBinding;

/**
 *
 *
 *
 * @version $Revision: 155 $ $Date: 2004-12-02 18:12:10 -0500 (Thu, 02 Dec 2004) $
 */
public interface InputBinding extends SQLBinding, SchemaBinding {
    void setValue(PreparedStatement ps, Object value) throws SQLException;

    void setValue(PreparedStatement ps, Row row) throws SQLException, FieldTransformException;
}
